#ifndef COMPUTER_H
#define COMPUTER_h

#include "game.h"

typedef enum play_state_t {
   SEARCH_OK=0,
   SEARCH_GAME_ENDED_REPEAT,
   SEARCH_GAME_ENDED_50_MOVE,
   SEARCH_GAME_ENDED_MATE,
   SEARCH_GAME_ENDED_STALEMATE,
   SEARCH_GAME_ENDED_INSUFFICIENT
} play_state_t;

extern bool show_fail_low;
extern bool show_fail_high;

play_state_t think(game_t *game, int max_depth);
bool analyse(game_t *game);

#endif


