#ifndef MOVE_H
#define MOVE_H

typedef uint16_t move_t;

static inline move_t encode_move(int from, int to)
{
   return from | (to << 8);
}

static inline int get_move_from(move_t move)
{
   return move & 0xff;
}

static inline int get_move_to(move_t move)
{
   return (move >> 8) & 0xff;
}

#endif
