#include <stdbool.h>
#include "movelist.h"
#include "board.h"

bool movegen(movelist_t *ml, const board_t *board);
bool capturegen(movelist_t *ml, const board_t *board);
bool calculate_piece_can_attack(const board_t *board, piece_t id, int from, int square);
bool in_check(const board_t *board, side_t side);
bool legal_movegen(movelist_t *movelist, board_t *board);
uint64_t get_attackers(const board_t *board, int square, side_t side);

