#ifndef MOVESORT_H
#define MOVESORT_H

#include "game.h"

extern void store_killer(game_t *game, move_t move, int depth);
extern void store_mate_killer(game_t *game, move_t move, int depth, int best_score);
extern void store_null_killer(game_t *game, int depth, move_t move);

extern void adjust_history_score(game_t *game, move_t move, int score);
extern int get_move_history(const game_t *game, move_t move);

extern void score_moves(const game_t *game, movelist_t *movelist, int depth, const move_t hash_move);

#endif
