#ifndef ALPHABETA_H
#define ALPHABETA_H

#include "game.h"

extern volatile bool abort_search;
extern int deepest_q;

void initialise_search(game_t *game);

int count_repetition(const game_t *game);
bool material_draw(const board_t *board);

int qsearch(game_t *game, int alpha, int beta, int draft, int ply);
int search(game_t *game, int alpha, int beta, int draft, int ply);
#endif


